al_toggle_menu_item_flags(3)

NAME

al_toggle_menu_item_flags - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    int al_toggle_menu_item_flags(ALLEGRO_MENU *menu, int pos, int flags)

DESCRIPTION

Toggles the specified menu item's flags. See al_insert_menu_item(3) for a description of the available flags.

Returns a bitfield of only the specified flags that are set after the toggle. A flag that was not toggled will not be returned, even if it is set. Returns -1 if the id is invalid.

SINCE

5.1.0

    [Unstable API]: Redundant with al_get/set_menu_item_flags.

SEE ALSO

al_get_menu_item_flags(3), al_set_menu_item_flags(3)